local t = Def.ActorFrame {};
	
  t[#t+1] = Def.Quad {
    InitCommand=cmd(diffuse,color("#151922");zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center);
	OnCommand=cmd(diffusealpha,1);
  };
  
   t[#t+1] = LoadActor("_spotlight") .. {
    InitCommand=cmd(Center;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,"add");
	OnCommand=cmd(diffusealpha,0);
	SpotlightOnMessageCommand=cmd(linear,0.3;diffusealpha,1);
  };
  
  	
  t[#t+1] = LoadActor("twilight_as_an_animatronic_by_lman225") .. {
	InitCommand=cmd(diffusealpha,0;zoom,0.25;diffusealpha,0.0;x,SCREEN_CENTER_X+300;y,SCREEN_CENTER_Y;);
    AppearPonyMessageCommand=cmd(linear,4;diffusealpha,0.2;addx,-30;sleep,2;linear,3;addx,20;diffusealpha,0);
  };	
  
  t[#t+1] = Def.ActorFrame {
		Def.ActorFrameTexture{
			Name = "Memory",
			InitCommand=function(self)
				self:SetTextureName( "Memory" )
				self:SetWidth( SCREEN_WIDTH )
				self:SetHeight( SCREEN_HEIGHT )
				self:EnableAlphaBuffer( true )
				self:Create()
			end,
			-- Cannot call the second AFT's texture by name as it has not been created when this Sprite loads.
			Def.Sprite{ Name = "Sprite", InitCommand=cmd(Center), },
		},
		Def.ActorFrameTexture{
			InitCommand=function(self)
				self:SetTextureName( "Output" )
				self:SetWidth( SCREEN_WIDTH )
				self:SetHeight( SCREEN_HEIGHT )
				self:EnableAlphaBuffer( true )
				self:Create()
				-- Set the first AFT's child's texture to this AFT's texture, now that it has been created.
				self:GetParent():GetChild("Memory"):GetChild("Sprite"):SetTexture( self:GetTexture() )
			end,
			-- A sprite to draw the 'trail' with.
			Def.Sprite{    Texture = "Memory", 
				InitCommand=cmd(Center);
				OnCommand=function(self)
					self:diffusealpha(0)
					end;
			},
			Def.ActorProxy{ 
				OnCommand=function(self) 
					if SCREENMAN:GetTopScreen():GetName() == "ScreenEdit" then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("")[5])
					else
						if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("PlayerP1"))    
						end
					end
				end,
			},
			Def.ActorProxy{ 
				OnCommand=function(self) 
					if SCREENMAN:GetTopScreen():GetName() == "ScreenEdit" then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("")[5])
					else
						if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("PlayerP2"))
						end
					end
				end,
			},
		},
		-- Proxies
		--  Primary render path
		Def.Sprite {    Texture = "Output", 
		InitCommand=cmd(Center;);
		ItsMeMessageCommand=cmd(diffusealpha,0);
		},
		-- Other
		Def.Sprite {    Texture = "Output", 
		InitCommand=cmd(Center;diffusealpha,0;);
		ItsMeMessageCommand=cmd(diffusealpha,1;zoom,1.4;glow,1.00,0.09,0.00,1;linear,0.05;x,SCREEN_CENTER_X;vibrate);
		},
	};
  	
  t[#t+1] = LoadActor("_spotlight") .. {
    InitCommand=cmd(Center;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,"modulate");
	OnCommand=cmd(diffusealpha,0);
	SpotlightOnMessageCommand=cmd(linear,0.3;diffusealpha,1);
	ItsMeMessageCommand=cmd(linear,0.1;diffusealpha,0);
  };	
	
  t[#t+1] = Def.Quad {
    InitCommand=cmd(diffuse,color("#BDC0CC");zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center);
	OnCommand=cmd(blend,"modulate";diffusealpha,0.7);
	OffCommand=cmd(diffusealpha,0);
	ItsMeMessageCommand=cmd(linear,0.1;diffusealpha,0);
  };
  
    
	t[#t+1] = Def.ActorFrame {
 InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;);
 Def.Sprite {
	Name="static",
	Texture="_static 3x3.png",
	InitCommand=function(self)
		self:SetAllStateDelays(0.04):blend('BlendMode_Add'):diffusealpha(0.05)
	end,
	OnCommand=function(self)
		self:zoomto(SCREEN_WIDTH,SCREEN_HEIGHT)
	end
	}; 
	};
  
  t[#t+1] = Def.Quad {
    InitCommand=cmd(diffuse,color("#000000");zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center);
	OnCommand=cmd(diffusealpha,0);
	ItsMeMessageCommand=cmd(sleep,2;linear,2;diffusealpha,1);
  };
	
  t[#t+1] = LoadActor("_overlay") .. {
    InitCommand=cmd(Center;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
  };
	
return t;