local t = Def.ActorFrame {};

t[#t+1] = Def.Quad {
    InitCommand=cmd(diffuse,color("#000000");zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center);
	OnCommand=cmd(diffusealpha,0);
	OffCommand=cmd(diffusealpha,0);
	DoTheThingMessageCommand=cmd(decelerate,8.2;diffusealpha,1);	
	TheEndMessageCommand=cmd(decelerate,0.75;diffusealpha,0.4;);
  };
  
  t[#t+1] = LoadActor("_gloweye") .. {
    InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center);
	OnCommand=cmd(diffusealpha,0);
	OffCommand=cmd(diffusealpha,0);
	DoTheThingMessageCommand=cmd(blend,"add";linear,0.2;diffusealpha,1;decelerate,12;diffusealpha,0;);	
	TheEndMessageCommand=cmd(diffusealpha,0;smooth,4;diffusealpha,1;);	
  };


t[#t+1] = Def.ActorFrame {
		Def.ActorFrameTexture{
			Name = "Memory",
			InitCommand=function(self)
				self:SetTextureName( "Memory" )
				self:SetWidth( SCREEN_WIDTH )
				self:SetHeight( SCREEN_HEIGHT )
				self:EnableAlphaBuffer( true )
				self:Create()
			end,
			-- Cannot call the second AFT's texture by name as it has not been created when this Sprite loads.
			Def.Sprite{ Name = "Sprite", InitCommand=cmd(Center), },
		},
		Def.ActorFrameTexture{
			InitCommand=function(self)
				self:SetTextureName( "Output" )
				self:SetWidth( SCREEN_WIDTH )
				self:SetHeight( SCREEN_HEIGHT )
				self:EnableAlphaBuffer( true )
				self:Create()
				-- Set the first AFT's child's texture to this AFT's texture, now that it has been created.
				self:GetParent():GetChild("Memory"):GetChild("Sprite"):SetTexture( self:GetTexture() )
			end,
			-- A sprite to draw the 'trail' with.
			Def.Sprite{    Texture = "Memory", 
				InitCommand=cmd(Center);
				OnCommand=function(self)
					self:diffusealpha(0)
					end;
				StartBlueTrailMessageCommand=cmd(blend,"normal";diffuse,color("#9600D1");diffusealpha,1;), 
				MoreTrailsMessageCommand=cmd(blend,"normal";diffuse,color("#0000FF");diffusealpha,0.96;), 
				StopBlueTrailMessageCommand=cmd(smooth,0.2;diffusealpha,0;),
			},
			Def.ActorProxy{ 
				OnCommand=function(self) 
					if SCREENMAN:GetTopScreen():GetName() == "ScreenEdit" then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("")[5])
					else
						if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("PlayerP1"))    
						end
					end
				end,
			},
			Def.ActorProxy{ 
				OnCommand=function(self) 
					if SCREENMAN:GetTopScreen():GetName() == "ScreenEdit" then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("")[5])
					else
						if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("PlayerP2"))
						end
					end
				end,
			},
		},
		Def.Sprite {    Texture = "Output", 
		InitCommand=cmd(Center;),
		QuickSpinMessageCommand=cmd(decelerate,1.2;rotationz,360;sleep,0.1;rotationz,0;);
		BreatheOutMessageCommand=cmd(decelerate,0.2;zoom,0.6;rotationz,-45;smooth,0.4;zoom,1;rotationz,0;);	
		BreatheMessageCommand=cmd(decelerate,0.2;zoom,0.6;rotationz,45;smooth,0.4;zoom,1;rotationz,0;);
		TheEndMessageCommand=cmd(smooth,0.3;diffusealpha,0;),
		},
		-- Color overlays
		Def.Sprite {   
		Texture = "Output", 
			InitCommand=cmd(Center;), 
			DoTheThingMessageCommand=cmd(blend,"normal";glow,0.16,0.47,0.91,0.75;),
			FuryMessageCommand=cmd(blend,"add";linear,0.7;glow,0.95,0.20,0.20,0.99;),
			StopTheThingMessageCommand=cmd(blend,"normal";linear,0.6;glow,0,0,0,0;),
			StopBlueTrailCommand=cmd(blend,"normal";linear,0.6;glow,0,0,0,0;),
			QuickSpinMessageCommand=cmd(decelerate,1.2;rotationz,360;sleep,0.1;rotationz,0;);
			BreatheOutMessageCommand=cmd(decelerate,0.2;zoom,0.6;diffuse,color("#C430FF");rotationz,-45;smooth,0.4;zoom,1;rotationz,0;diffuse,color("#ffffff"););	
			BreatheMessageCommand=cmd(decelerate,0.2;zoom,0.6;diffuse,color("#7075FA");rotationz,45;smooth,0.4;zoom,1;rotationz,0;diffuse,color("#ffffff"););		
			TheEndMessageCommand=cmd(blend,"add";linear,0.7;glow,0.16,0.47,0.91,0.99;vibrate;effectmagnitude,5,30,5;),
			StopVibMessageCommand=cmd(stopeffect;blend,"normal";linear,0.3;diffusealpha,0;;);
		};
	};


  t[#t+1] = LoadActor("_stars") .. {
    InitCommand=cmd(blend,"add";Center);
	OnCommand=cmd(diffusealpha,0);
	OffCommand=cmd(diffusealpha,0);
	DoTheThingMessageCommand=cmd(decelerate,8;diffusealpha,0.3;);	
	StartBlueTrailMessageCommand=cmd(diffuse,color("#0059FF");spin;effectmagnitude,0,0,12;);
	FuryMessageCommand=cmd(diffuse,color("#FF0000"););
	MoreTrailsMessageCommand=cmd(diffuse,color("#AB11F2"););
	TheEndMessageCommand=cmd(diffusealpha,0.8;decelerate,5;diffusealpha,0;);
  }; 	
	
  t[#t+1] = LoadActor("_stars") .. {
    InitCommand=cmd(blend,"add";Center;diffuse,color("#4757FF"););
	OnCommand=cmd(diffusealpha,0);
	OffCommand=cmd(diffusealpha,0);
	QuickSpinMessageCommand=cmd(diffusealpha,1;decelerate,2;diffusealpha,0;zoom,1.75;);	
	MoreTrailsMessageCommand=cmd(zoom,1.25;diffusealpha,1;spin;effectmagnitude,0,0,-12;);
	TheEndMessageCommand=cmd(diffusealpha,0.8;decelerate,5;diffusealpha,0;);
  };
  
  t[#t+1] = Def.Quad {
    InitCommand=cmd(diffuse,color("#00AAFF");zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center);
	OnCommand=cmd(diffusealpha,0);
	OffCommand=cmd(diffusealpha,0);
	StartBlueTrailMessageCommand=cmd(diffuse,color("#0059FF");diffusealpha,1;linear,0.5;diffusealpha,0);
	FuryMessageCommand=cmd(diffuse,color("#C43800");diffusealpha,1;linear,2;diffusealpha,0);
	MoreTrailsMessageCommand=cmd(diffuse,color("#00AAFF");diffusealpha,1;linear,0.5;diffusealpha,0);
	TheEndMessageCommand=cmd(diffuse,color("#AB11F2");diffusealpha,1;linear,0.5;diffusealpha,0);
  };
	
return t;