local t = Def.ActorFrame {};

   t[#t+1] = LoadActor("_bgbase") .. {
    InitCommand=cmd(Center;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
	OnCommand=cmd(diffusealpha,0;smooth,1.0;diffusealpha,1);
	};
  

	t[#t+1] = Def.ActorFrame {
		Def.ActorFrameTexture{
			Name = "Memory",
			InitCommand=function(self)
				self:SetTextureName( "Memory" )
				self:SetWidth( SCREEN_WIDTH )
				self:SetHeight( SCREEN_HEIGHT )
				self:EnableAlphaBuffer( true )
				self:Create()
			end,
			-- Cannot call the second AFT's texture by name as it has not been created when this Sprite loads.
			Def.Sprite{ Name = "Sprite", InitCommand=cmd(Center), },
		},
		Def.ActorFrameTexture{
			InitCommand=function(self)
				self:SetTextureName( "Output" )
				self:SetWidth( SCREEN_WIDTH )
				self:SetHeight( SCREEN_HEIGHT )
				self:EnableAlphaBuffer( true )
				self:Create()
				-- Set the first AFT's child's texture to this AFT's texture, now that it has been created.
				self:GetParent():GetChild("Memory"):GetChild("Sprite"):SetTexture( self:GetTexture() )
			end,
			-- A sprite to draw the 'trail' with.
			Def.Sprite{    Texture = "Memory", 
				InitCommand=cmd(Center);
				OnCommand=function(self)
					self:diffusealpha(0)
					end;
				StartBlueTrailMessageCommand=cmd(blend,"normal";diffuse,color("#9600D1");diffusealpha,1;), 
				MoreTrailsMessageCommand=cmd(blend,"normal";diffuse,color("#0000FF");diffusealpha,0.96;), 
				StopBlueTrailMessageCommand=cmd(smooth,0.2;diffusealpha,0;),
			},
			Def.ActorProxy{ 
				OnCommand=function(self) 
					if SCREENMAN:GetTopScreen():GetName() == "ScreenEdit" then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("")[5])
					else
						if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("PlayerP1"))    
						end
					end
				end,
			},
			Def.ActorProxy{ 
				OnCommand=function(self) 
					if SCREENMAN:GetTopScreen():GetName() == "ScreenEdit" then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("")[5])
					else
						if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("PlayerP2"))
						end
					end
				end,
			},
		},
		
		-- Color overlays
		Def.Sprite {   
		Texture = "Output", 
			InitCommand=cmd(Center;),
			StartBounceMessageCommand=cmd(addy,65;bounce;effectperiod,1;effectclock,'beat';effectmagnitude,0,-75,25;);
			SpinMessageCommand=cmd(stopeffect;linear,0.4;addy,-65;);
			ZoomMessageCommand=cmd(linear,2.308;diffusealpha,0;zoom,0.5;);
		};
		Def.Sprite {   
		Texture = "Output", 
			InitCommand=cmd(Center;blend,"modulate"), 
			OnCommand=cmd(diffusealpha,0;);
			HowLameIsThatMessageCommand=cmd(diffusealpha,1;diffuseshift;effectclock,'beat';effectcolor1,color("1,1,1,1");effectcolor2,color("0.60,0.27,0.92,1"));
			SweepMessageCommand=cmd(stopeffect;diffuse,color("0.74,0.35,0.95,0");blend,'normal');
			ZoomMessageCommand=cmd(linear,2.308;diffusealpha,0;zoom,0.5;);
		};
	};
	
	t[#t+1] = LoadActor("_lights") .. {
    InitCommand=cmd(Center;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,"add");
	OnCommand=cmd(diffusealpha,0;);
	SweepMessageCommand=cmd(diffusealpha,1;diffuseramp;effectclock,'beat';effectcolor1,color("1,1,1,0");effectcolor2,color("1,1,1,0.2"));
	MoreStrobeMessageCommand=cmd(diffusealpha,1;diffuseshift;effectclock,'beat';effectcolor1,color("0.74,0.35,0.95,0.5");effectcolor2,color("0.35,0.54,0.95,0.4"));
	StopStrobeMessageCommand=cmd(stopeffect;linear,3;diffusealpha,0);
	};
	
	  
	t[#t+1] = Def.Quad {
    InitCommand=cmd(diffuse,color("#A95FDA");zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center);
	OnCommand=cmd(diffusealpha,0);
	OffCommand=cmd(diffusealpha,0);
	SweepMessageCommand=cmd(diffuse,color("#B3ABF1");diffusealpha,0.7;linear,0.5;diffusealpha,0);
	StopStrobeMessageCommand=cmd(diffuse,color("#A95FDA");diffusealpha,1;linear,2;diffusealpha,0);
	MoreStrobeMessageCommand=cmd(diffuse,color("#B3ABF1");diffusealpha,0.7;linear,0.5;diffusealpha,0);
  };
return t;