local t = Def.ActorFrame {};
	
  t[#t+1] = Def.Quad {
    InitCommand=cmd(diffuse,color("#000000");zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center);
	OnCommand=cmd(diffusealpha,1);
  };
  
  t[#t+1] = Def.ActorFrame {
		Def.ActorFrameTexture{
			Name = "Memory",
			InitCommand=function(self)
				self:SetTextureName( "Memory" )
				self:SetWidth( SCREEN_WIDTH )
				self:SetHeight( SCREEN_HEIGHT )
				self:EnableAlphaBuffer( true )
				self:Create()
			end,
			-- Cannot call the second AFT's texture by name as it has not been created when this Sprite loads.
			Def.Sprite{ Name = "Sprite", InitCommand=cmd(Center), },
		},
		Def.ActorFrameTexture{
			InitCommand=function(self)
				self:SetTextureName( "Output" )
				self:SetWidth( SCREEN_WIDTH )
				self:SetHeight( SCREEN_HEIGHT )
				self:EnableAlphaBuffer( true )
				self:Create()
				-- Set the first AFT's child's texture to this AFT's texture, now that it has been created.
				self:GetParent():GetChild("Memory"):GetChild("Sprite"):SetTexture( self:GetTexture() )
			end,
			-- A sprite to draw the 'trail' with.
			Def.Sprite{    Texture = "Memory", 
				InitCommand=cmd(Center);
				OnCommand=function(self)
					self:diffusealpha(0)
					end;
			},
			Def.ActorProxy{ 
				OnCommand=function(self) 
					if SCREENMAN:GetTopScreen():GetName() == "ScreenEdit" then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("")[5])
					else
						if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("PlayerP1"))    
						end
					end
				end,
			},
			Def.ActorProxy{ 
				OnCommand=function(self) 
					if SCREENMAN:GetTopScreen():GetName() == "ScreenEdit" then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("")[5])
					else
						if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						self:SetTarget(SCREENMAN:GetTopScreen():GetChild("PlayerP2"))
						end
					end
				end,
			},
		},
		-- Proxies
		--  Primary render path
		Def.Sprite {    Texture = "Output", 
		InitCommand=cmd(Center;);
		},
		-- Other
		Def.Sprite {    Texture = "Output", 
		InitCommand=cmd(Center;diffusealpha,0;);
		},
	};
	
return t;